# $Revision: 1.5.2.3 $, $Date: 2003/07/03 15:26:09 $
#
# Conditional build:
# _without_tests - do not perform "make test"
# _with_ndf      - generate package with NDF support
# _with_gsd      - generate package with GSD support
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Astro
%define		pnam	FITS-Header
Summary:	Astro::FITS::Header Perl module - a FITS header
Summary(pl):	Modu Perla Astro::FITS::Header - nagwek FITS
Name:		perl-Astro-FITS-Header
Version:	2.6.1
Release:	2
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	64e8a0c677ff02188a1784b5b27bcff9
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Astro::FITS::Header and associated sub-classes are tools for reading,
modifying and then writing out FITS standard header blocks to FITS and
NDF files.

%description -l pl
Astro::FITS::Header i stowarzyszone z nim podklasy stanowi narzdzie
suce do odczytu blokw nagwkw zgodnych ze standardem FITS w
plikach FITS i NDF, a take do modyfikacji i zapisu tych blokw.

%package CFITSIO
Summary:	Astro::FITS::Header::CFITSIO - manipulates FITS headers from a FITS file
Summary(pl):	Astro::FITS::Header::CFITSIO - manipulowanie nagwkami FITS pliku FITS
Group:		Development/Languages/Perl
Requires:	%{name}

%description CFITSIO
Astro::FITS::Header::CFITSIO module makes use of the
Astro::FITS::CFITSIO module to read and write directly to a FITS HDU.

%description CFITSIO -l pl
Modu Astro::FITS::Header::CFITSIO dokonuje bezporedniego odczytu i
zapisu FITS HDU za pomoc moduu Astro::FITS::CFITSIO.

%if 0%{?_with_ndf:1}
%package NDF
Summary:	Astro::FITS::Header::NDF - manipulate FITS headers from NDF files
Summary(pl):	Astro::FITS::Header::NDF - manipulowanie nagwkami FITS plikw NDF
Group:		Development/Languages/Perl
# only for install dirs ?
Requires:	%{name}

%description NDF
Astro::FITS::Header::NDF module makes use of the Starlink NDF module
to read and write to and NDF FITS extension or to a ".HEADER" block
in an HDS container file.

%description NDF -l pl
Modu Astro::FITS::Header::NDF odczytuje i zapisuje rozszerzenie NDF
FITS lub blok ".HEADER" pliku pojemnika HDS za pomoc moduu Starlink
NDF.
%endif

%if 0%{?_with_gsd:1}
%package GSD
Summary:	Astro::FITS::Header::GSD - manipulate FITS headers from GSD files
Summary(pl):	Astro::FITS::Header::GSD - manipulowanie nagwkami FITS plikw GSD
Group:		Development/Languages/Perl
Requires:	%{name}

%description GSD
Astro::FITS::Header::GSD module makes use of the Starlink GSD module
to read from a GSD header.

%description GSD -l pl
Modu Astro::FITS::Header::GSD odczytuje nagwek GSD za pomoc moduu
Starlink GSD.
%endif

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%dir %{perl_sitelib}/Astro/FITS
%{perl_sitelib}/Astro/FITS/Header.pm
%dir %{perl_sitelib}/Astro/FITS/Header
%{perl_sitelib}/Astro/FITS/Header/Item*
%{_mandir}/man3/Astro::FITS::Header.*
%{_mandir}/man3/Astro::FITS::Header::Item*

%files CFITSIO
%defattr(644,root,root,755)
%{perl_sitelib}/Astro/FITS/Header/CFITSIO.pm
%{_mandir}/man3/*CFITSIO*

%if 0%{?_with_ndf:1}
%files NDF
%defattr(644,root,root,755)
%{perl_sitelib}/Astro/FITS/Header/NDF.pm
%{_mandir}/man3/*NDF*
%endif

%if 0%{?_with_gsd:1}
%files GSD
%defattr(644,root,root,755)
%{perl_sitelib}/Astro/FITS/Header/GSD.pm
%{_mandir}/man3/*GSD*
%endif

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Astro-FITS-Header.spec,v $
Revision 1.5.2.3  2003/07/03 15:26:09  ankry
- separate and disble -GSD subpackage, cleaning
- rel. 2

Revision 1.5.2.2  2003/04/10 13:34:22  ankry
- autoupdated to 2.6.1

Revision 1.5.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.4  2003/02/21 20:29:37  ankry
- updated to 2.4

Revision 1.3  2003/02/18 15:26:07  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/05 09:29:41  ankry
- added tests (on BCond)
- disable -NDF package by default
- release 2

Revision 1.1  2002/07/25 00:54:40  ankry
- new spec
